package samples.user;

import java.sql.SQLException;

import com.ibatis.sqlmap.client.extensions.ParameterSetter;
import com.ibatis.sqlmap.client.extensions.ResultGetter;

public class RoleTypeTypeHandler extends EnumTypeHandler<RoleType>{
	public RoleTypeTypeHandler() {
		super(RoleType.class);
	}

	@Override
	public Object getResult(ResultGetter getter) throws SQLException {
		int value = getter.getInt();
		return RoleType.find(value);
	}

	@Override
	public void setParameter(ParameterSetter setter, Object parameter)
			throws SQLException {
		RoleType roleType = (RoleType)parameter;
		
		setter.setInt(roleType.getType());
	}
}
