package samples.user;

import java.util.List;

import org.springframework.dao.DataAccessException;

public interface UserDao {
	void insert(User user) throws DataAccessException;

	void update(User user) throws DataAccessException;
	
	void remove(String userId) throws DataAccessException;

	User findUser(String userId) throws DataAccessException;
	
	List<User> findUserList() throws DataAccessException;
	
	boolean existedUser(String userId) throws DataAccessException;

	int countAdminUser();
}
